[nautilus-python] Cleaned up some issues in the new autogen.sh file



commit 985bcd6c1640fc8492b8585580cff62fd82694c3
Author: Adam Plumb <adamplumb gmail com>
Date:   Wed May 19 15:59:41 2010 -0400

    Cleaned up some issues in the new autogen.sh file

 autogen.sh |   18 ++++++------------
 1 files changed, 6 insertions(+), 12 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 32ae8d9..70ac5ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,21 +1,15 @@
 #!/bin/sh
 
-PROJECT=nautilus-python
-PKG_NAME=$PROJECT
+PKG_NAME=nautilus-python
 
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-topsrcdir=`dirname $0`
-if test x$topsrcdir = x ; then
-	topsrcdir=.
-fi
-
-(test -f $topsrcdir/configure.in \
-  && test -f $topsrcdir/README \
-  && test -d $topsrcdir/src) || {
-    echo -n "**Error**: Directory "\`$topsrcdir\'" does not look like the"
-    echo " top-level $PROJECT directory"
+(test -f $srcdir/configure.in \
+  && test -f $srcdir/README \
+  && test -d $srcdir/src) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
     exit 1
 }
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]